<?php

namespace App\Contracts\Repositories;

use App\Models\Admin;

interface AdminRepositoryInterface
{
    public function findActiveByEmail(string $email): ?Admin;

    public function findById(int $id): ?Admin;
}
